Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.4minds.ai/api/v1/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "ragas",
"model_id": 123,
"benchmark_type": "beir",
"question_count": 123,
"description": "<string>"
}
'import requests
url = "https://api.4minds.ai/api/v1/evaluations"
payload = {
"name": "<string>",
"type": "ragas",
"model_id": 123,
"benchmark_type": "beir",
"question_count": 123,
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: 'ragas',
model_id: 123,
benchmark_type: 'beir',
question_count: 123,
description: '<string>'
})
};
fetch('https://api.4minds.ai/api/v1/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": 123,
"name": "<string>",
"type": "<string>",
"model_id": 123,
"question_count": 123,
"description": "<string>",
"benchmark_type": "<string>",
"status": "pending",
"model": {},
"user_model": null,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Static, non-expiring API key: Authorization: Bearer <FOURMINDS_API_KEY>.